import * as core from "@terrascript/core";

export interface OrganizationsAccessArgs extends core.ResourceArgs {
  enabled: boolean | core.BooleanOut;
}

export class OrganizationsAccess extends core.Resource<OrganizationsAccessArgs> {
  @core.attr(Boolean)
  public enabled!: boolean | core.BooleanOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: OrganizationsAccessArgs) {
    super(name, "aws_servicecatalog_organizations_access", args);
  }

  public override getNamespace(): string {
    return "aws_servicecatalog";
  }
}
